Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# CosNaming::NamingContext Interface Reference

`import "CosNaming.idl";`

Inheritance diagram for CosNaming::NamingContext:

[legend]
List of all members.

## Public Types
enum | NotFoundReason { missing_node, not_context, not_object }
## Public Methods
void | bind (in Name n, in Object obj) raises (NotFound, CannotProceed, InvalidName, AlreadyBound)
void | rebind (in Name n, in Object obj) raises (NotFound, CannotProceed, InvalidName)
void | bind_context (in Name n, in NamingContext nc) raises (NotFound, CannotProceed, InvalidName, AlreadyBound)
void | rebind_context (in Name n, in NamingContext nc) raises (NotFound, CannotProceed, InvalidName)
Object | resolve (in Name n) raises (NotFound, CannotProceed, InvalidName)
void | unbind (in Name n) raises (NotFound, CannotProceed, InvalidName)
NamingContext | new_context ()
NamingContext | bind_new_context (in Name n) raises (NotFound, AlreadyBound, CannotProceed, InvalidName)
void | destroy () raises (NotEmpty)
void | list (in unsigned long how_many, out BindingList bl, out BindingIterator bi)

## Member Enumeration Documentation

enum CosNaming::NamingContext::NotFoundReason

  | Enumeration values:
  missing_node |
  not_context |
  not_object |

## Member Function Documentation

void CosNaming::NamingContext::bind | ( | in Name | n,
|  | in Object | obj
| ) | raises (NotFound, CannotProceed, InvalidName, AlreadyBound)

void CosNaming::NamingContext::bind_context | ( | in Name | n,
|  | in NamingContext | nc
| ) | raises (NotFound, CannotProceed, InvalidName, AlreadyBound)

NamingContext CosNaming::NamingContext::bind_new_context | ( | in Name | n | ) | raises (NotFound, AlreadyBound, CannotProceed, InvalidName)

void CosNaming::NamingContext::destroy | ( |  | ) | raises (NotEmpty)

void CosNaming::NamingContext::list | ( | in unsigned long | how_many,
|  | out BindingList | bl,
|  | out BindingIterator | bi
| ) |

NamingContext CosNaming::NamingContext::new_context | ( |  | ) |

void CosNaming::NamingContext::rebind | ( | in Name | n,
|  | in Object | obj
| ) | raises (NotFound, CannotProceed, InvalidName)

void CosNaming::NamingContext::rebind_context | ( | in Name | n,
|  | in NamingContext | nc
| ) | raises (NotFound, CannotProceed, InvalidName)

Object CosNaming::NamingContext::resolve | ( | in Name | n | ) | raises (NotFound, CannotProceed, InvalidName)

void CosNaming::NamingContext::unbind | ( | in Name | n | ) | raises (NotFound, CannotProceed, InvalidName)

The documentation for this interface was generated from the following file:

- CosNaming.idl